Loading...
Searching...
No Matches
Ogre::RTShader::SGScriptTranslator Class Reference
Optional Components » RTShaderSystem

This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...

`#include <OgreShaderScriptTranslator.h>`

Inheritance diagram for Ogre::RTShader::SGScriptTranslator:
[legend]

## Public Member Functions

| SGScriptTranslator ()
void | emitError (const String &msg=BLANKSTRING, uint32 code=ScriptCompiler::CE_INVALIDPARAMETERS)
virtual SubRenderState * | getGeneratedSubRenderState (const String &typeName)
| Returns a sub render state of a given name which has already been created for material currently being generated by the script translator.
void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node) override

## Detailed Description

This class responsible for translating core features of the RT Shader System for Ogre material scripts.

The documentation for this class was generated from the following file:

- OgreShaderScriptTranslator.h